MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026357Community[OCCT] OCCT:Visualizationpublic2015-06-19 14:132015-10-23 20:51
Reportersolomin_s 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAllOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026357: Visualization - Panning zooms view if aspect ratio > 1
DescriptionAfter fixing bug 0026082 regression was be added to panning algo. If ratio of window is bellow 1, panning working incorrectly: V3d_View zoom camera very fast instead of making panning only.
Steps To Reproducebugs/vis/bug26357

pload ALL
vinit
box b 100 100 100
vdisplay b


Resize window until ratio do not be less than 1 (portrait layout).
Pan scene (ctrl + middle mouse button)
Additional information
and documentation updates
List of changes:

1) Graphic3d_Camera::ViewDimensions() method computing camera's view volume has been fixed according to changes made in 0026082.

2) Test case added: bugs/vis/bug26357
TagsNo tags attached.
Test case numberbugs vis bug26357
Attached Files

- Relationships
related to 0026082closedbugmaster When view is resized horizontally the viusaliziation is not scaled 

-  Notes
(0042274)
git (administrator)
2015-06-19 14:55

Branch CR26357 has been created by apl.

SHA-1: c2a4b6fcfbed376cc9f2d1c8e62f1906ce85cd3d


Detailed log of new commits:

Author: apl
Date: Fri Jun 19 14:50:51 2015 +0300

    0026357: Panning regression after fixing 0026082
    
    Draft solution for panning problem.
(0042341)
apl (developer)
2015-06-23 12:17

The summary was updated from "Panning regression after fixing 0026082." to "Visualization - Panning zooms view if aspect ratio > 1" to summarize the problem.
(0042356)
git (administrator)
2015-06-23 14:44

Branch CR26357 has been updated forcibly by apl.

SHA-1: 9a2a139bab38b4ae539b0d7000b2dbe2a21864eb
(0042357)
apl (developer)
2015-06-23 14:45

Dear Kirill,

Please review patch in branch CR26357.
(0042360)
kgv (developer)
2015-06-23 15:01

Please test the patch.
(0042415)
mkv (tester)
2015-06-24 15:06

Dear BugMaster,
Branch CR26357 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9a2a139bab38b4ae539b0d7000b2dbe2a21864eb

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26357-master-occt-64/Debian70-64/bugs/vis/bug26357.html [^]
http://occt-tests/CR26357-master-occt-64/Windows-64-VC10/bugs/vis/bug26357.html [^]
bugs vis bug26357: OK

Testing on Linux:
occt component :
Total MEMORY difference: 98133887 / 98442399 [-0.31%]
Total CPU difference: 18381.880000000114 / 18603.710000000137 [-1.19%]
products component :
Total MEMORY difference: 24166962 / 24316064 [-0.61%]
Total CPU difference: 7967.760000000032 / 7858.430000000035 [+1.39%]

Testing on Windows:
occt component :
Total MEMORY difference: 56458863 / 56626504 [-0.30%]
Total CPU difference: 17156.849579098856 / 17554.948530998838 [-2.27%]
products component :
Total MEMORY difference: 15545999 / 15550884 [-0.03%]
Total CPU difference: 6852.23472429999 / 6414.932721099968 [+6.82%]

There are no differences in images found by testdiff.
(0043523)
git (administrator)
2015-07-27 13:39

Branch CR26357 has been deleted by kgv.

SHA-1: 9a2a139bab38b4ae539b0d7000b2dbe2a21864eb

- Related Changesets
occt: master 539d3a1b
Timestamp: 2015-06-19 12:15:11
Author: apl
Committer: bugmaster
Details ] Diff ]
0026357: Visualization - Panning zooms view if aspect ratio > 1
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
add - tests/bugs/vis/bug26357 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-19 14:13 solomin_s New Issue
2015-06-19 14:13 solomin_s Assigned To => kgv
2015-06-19 14:13 solomin_s Relationship added related to 0026082
2015-06-19 14:55 git Note Added: 0042274
2015-06-19 15:09 solomin_s Summary Panning regression after fixing 0026082. => Panning regression after fixing 0026082.
2015-06-19 15:09 solomin_s Description Updated View Revisions
2015-06-22 11:28 kgv Assigned To kgv => apl
2015-06-22 11:28 kgv Status new => assigned
2015-06-23 12:17 apl Note Added: 0042341
2015-06-23 12:17 apl Summary Panning regression after fixing 0026082. => Visualization - Panning zooms view if aspect ratio > 1
2015-06-23 12:17 apl Description Updated View Revisions
2015-06-23 14:44 git Note Added: 0042356
2015-06-23 14:45 apl Note Added: 0042357
2015-06-23 14:45 apl Assigned To apl => kgv
2015-06-23 14:45 apl Status assigned => resolved
2015-06-23 14:45 apl Steps to Reproduce Updated View Revisions
2015-06-23 15:01 kgv Note Added: 0042360
2015-06-23 15:01 kgv Assigned To kgv => bugmaster
2015-06-23 15:01 kgv Status resolved => reviewed
2015-06-23 15:01 kgv Steps to Reproduce Updated View Revisions
2015-06-23 15:21 mkv Assigned To bugmaster => mkv
2015-06-24 15:06 mkv Note Added: 0042415
2015-06-24 15:06 mkv Assigned To mkv => bugmaster
2015-06-24 15:06 mkv Status reviewed => tested
2015-06-24 15:06 mkv Test case number => bugs vis bug26357
2015-06-26 13:42 bugmaster Changeset attached => occt master 539d3a1b
2015-06-26 13:42 bugmaster Status tested => verified
2015-06-26 13:42 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043523
2015-08-26 11:08 abv Target Version 7.0.0 => 6.9.1
2015-08-28 13:03 apl Additional Information Updated View Revisions
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker